Set a connection in the network

- « fann_set_training_algorithm

- fann_set_weight_array »

- PHP Manual
- Fann Functions
- Set a connection in the network

# fann_set_weight

(PECL fann >= 1.0.0)

fann_set_weight — Set a connection in the network

### Description

fann_set_weight(
resource `$ann`,
int `$from_neuron`,
int `$to_neuron`,
float `$weight`
): bool

Set a connections in the network.

### Parameters

`ann`

  Neural network resource.

`from_neuron`

  The neuron where the connection starts

`to_neuron`

  The neuron where the connection ends

`weight`

  Connection weight

### Return Values

Returns `true` on success, or `false` otherwise.